Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22313

Description

If a layer has only one attribute, the default sub-clause for the Control feature rendering order order-by-clause is added everytime

    -  the Define order dialog is opened

    -  the last sub-clause in that dialog loses focus

Reproduce:

    -  Create a memory layer with a single attribute Attr

    -  Open the Vector layer properties dialog

    -  Open the Define order dialog

    -  -> Note the default clause Attr ASC NULLS LAST is added automatically.

    -  Click to set the focus to the text-edit containing Attr

    -  Click anywhere else to take the focus away from it

    -  -> The default clause is added again.

    -  Close the dialog

    -  Re-open the dialog

    -  -> The default clause is added again.

Associated revisions

Revision 9dca6da0 - 2018-02-12 02:18 AM - Nyall Dawson

Don't silently discard requests to set QgsFieldExpressionWidget

to an empty expression

This causes issues in lots of places - e.g. a field constraint

is always set to the first field in a layer, and cannot be

removed.

I've looked at all calls to setField and without exception

they should accept that setting the field to an empty string

results in an empty expression.

Fixes #14325

History

#1 - 2016-02-18 03:17 PM - Sebastian Dietrich

- % Done changed from 0 to 100

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress
See PR 2810 for a solution.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2018-02-12 03:29 AM - Nyall Dawson

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|9dca6da060f17f522d5e2b33d28c74f3f6618ec2.

#4 - 2018-02-22 11:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
https://github.com/qgis/QGIS/pull/2810

